<!DOCTYPE html>
<html lang="en">

<head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <meta http-equiv="X-UA-Compatible" content="ie=edge">
   <title>Document</title>

   <script type="text/javascript">
      function enPantalla(text) {
         let element = document.getElementById('container');
         element.textContent = text;
      }

      function enconsola(text) {
         console.log(text);
      }
   </script>
</head>

<body>
   <button id="request">Petición</button>
   <section id="container">
      respuesta a peticion :
   </section>

   <script type="text/javascript">
      let req = new XMLHttpRequest();
      method = "GET",
         url = 'https://jsonplaceholder.typicode.com/posts/1/comments';

      req.open(method, url, true);
      let contador = 0;
      req.onreadystatechange = function () {
         enconsola(['cuantas veces se reviso?: ', contador]); contador++;

         if (req.readyState == XMLHttpRequest.DONE && req.status === 200) {
            enconsola(req.responseText);
            enPantalla(JSON.parse(req.responseText));
         }
      };

      document.getElementById('request')
         .addEventListener('click', function () {
            this.style.display = 'none';
            req.send();
         });
   </script>
</body>

</html>